Subject: Re: Updated: coreutils 9.1 cp problem
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Mon, 6 Jun 2022 21:52:24 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Hi Fergus,

Verified and confirmed.
Please reinstall 8.32 until I can get this reverted in setup.
Have requested 9.1 be reverted to test and 8.32 reverted to current stable.

On 2022-06-06 21:21, Fergus Daly wrote:
> Since updating from coreutils 8.32 I’m getting a weird glitch from cp.
> If /location1/dir1/ contains additional material to /location2/dir1/ (as might frequently be the case when maintaining a backup) then the command
> $ cp -vrn /location1/dir1 /location2
> should copy the additional material across. (I do this regularly, working in two locations on two machines with a stick to manage the transactions.)
> Since updating coreutils, this command yields an error message as follows:
> $ cp -vrn /location1/dir1 /location2
> /bin/cp: cannot create directory '/location2/dir1': File exists
> I haven’t tried any other variations on cp or explored any other commands (e.g. ls) that have altered with the update.
> This occurs in both 32-bit and 64-bit Cygwin.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple